import { CssBaseline, ThemeOptions } from '@mui/material';
import muiMakeStyles from '@mui/styles/makeStyles';
import { Theme } from './types';
import { theme as anyninesLight } from './light';
import { theme as anyninesDark } from './dark';
import { ThemeProviderProps as MuiThemeProviderProps } from '@mui/material/styles/ThemeProvider';
declare module '@mui/styles/defaultTheme' {
    type DefaultTheme = Theme;
}
export declare type CustomThemeName = 'light' | 'dark';
export declare const makeStyles: typeof muiMakeStyles;
export interface ThemeProviderProps extends Omit<MuiThemeProviderProps, 'theme'> {
    theme?: ThemeOptions | CustomThemeName;
}
export declare const ThemeProvider: (props: ThemeProviderProps) => JSX.Element;
export { CssBaseline, anyninesDark, anyninesLight };
